commit 477b5959e3f80d9d8ecdd5c141ca5cc180a265c2
Author: Douglas Mencken <dougmencken@gmail.com>
Date:   Fri Dec 16 14:06:07 2016 -0500

    just some more peaceful messages

diff --git a/sd/source/core/PageListWatcher.cxx b/sd/source/core/PageListWatcher.cxx
index d5e5dad..8c08179 100644
--- a/sd/source/core/PageListWatcher.cxx
+++ b/sd/source/core/PageListWatcher.cxx
@@ -36,9 +36,9 @@ void ImpPageListWatcher::ImpRecreateSortedPageListOnDemand()
     for(sal_uInt32 a(0L); a < nPageCount; a++)
     {
         SdPage* pCandidate = ImpGetPage(a);
-        DBG_ASSERT(pCandidate, "ImpPageListWatcher::ImpRecreateSortedPageListOnDemand: Invalid PageList in Model (!)");
+        DBG_ASSERT( pCandidate, "ImpRecreateSortedPageListOnDemand: something strange with PageList in Model" );
 
-        switch(pCandidate->GetPageKind())
+        switch( pCandidate->GetPageKind() )
         {
             case PageKind::Standard:
             {
@@ -52,7 +52,7 @@ void ImpPageListWatcher::ImpRecreateSortedPageListOnDemand()
             }
             case PageKind::Handout:
             {
-                DBG_ASSERT(!mpHandoutPage, "ImpPageListWatcher::ImpRecreateSortedPageListOnDemand: Two Handout pages in PageList of Model (!)");
+                DBG_ASSERT( !mpHandoutPage, "ImpRecreateSortedPageListOnDemand: two Handout pages in PageList of Model" );
                 mpHandoutPage = pCandidate;
                 break;
             }
diff --git a/sd/source/core/drawdoc3.cxx b/sd/source/core/drawdoc3.cxx
index ec85bb7..e9a9ece 100644
--- a/sd/source/core/drawdoc3.cxx
+++ b/sd/source/core/drawdoc3.cxx
@@ -1484,7 +1484,7 @@ void SdDrawDocument::SetMasterPage(sal_uInt16 nSdPageNum,
             if( mpDocSh )
                 mpDocSh->SetWaitCursor( false );
 
-            OSL_FAIL( "SdDrawDocument::SetMasterPage() failed!" );
+            SAL_WARN( "sd", "can't SdDrawDocument::SetMasterPage()" );
 
             return;
         }
diff --git a/sd/source/filter/html/htmlex.cxx b/sd/source/filter/html/htmlex.cxx
index bd30e1f..48aa052 100644
--- a/sd/source/filter/html/htmlex.cxx
+++ b/sd/source/filter/html/htmlex.cxx
@@ -582,7 +582,7 @@ void HtmlExport::InitExportParameters( const Sequence< PropertyValue >& rParams
         }
         else
         {
-            OSL_FAIL("Unknown property for html export detected!");
+            SAL_WARN( "sd.filter", "unknown property \"" << pParams->Name << "\" for html export" );
         }
 
         pParams++;
diff --git a/sd/source/ui/animations/SlideTransitionPane.cxx b/sd/source/ui/animations/SlideTransitionPane.cxx
index 05a1734..67939cd 100644
--- a/sd/source/ui/animations/SlideTransitionPane.cxx
+++ b/sd/source/ui/animations/SlideTransitionPane.cxx
@@ -1009,9 +1009,11 @@ IMPL_LINK(SlideTransitionPane,EventMultiplexerListener,
 
 IMPL_LINK_NOARG(SlideTransitionPane, ApplyToAllButtonClicked, Button*, void)
 {
-    DBG_ASSERT( mpDrawDoc, "Invalid Draw Document!" );
-    if( !mpDrawDoc )
+    if( mpDrawDoc == nullptr )
+    {
+        SAL_WARN( "sd.ui", "mpDrawDoc is nil" );
         return;
+    }
 
     ::sd::slidesorter::SharedPageSelection pPages (
         new ::sd::slidesorter::SlideSorterViewShell::PageSelection());
diff --git a/sd/source/ui/app/sdmod.cxx b/sd/source/ui/app/sdmod.cxx
index ebef895..906fc7c 100644
--- a/sd/source/ui/app/sdmod.cxx
+++ b/sd/source/ui/app/sdmod.cxx
@@ -176,8 +176,6 @@ tools::SvRef<SotStorageStream> SdModule::GetOptionStream( const OUString& rOptio
 
     if( pDocSh )
     {
-        DocumentType    eType = pDocSh->GetDoc()->GetDocumentType();
-
         if( !xOptionStorage.Is() )
         {
             INetURLObject aURL( SvtPathOptions().GetUserConfigPath() );
@@ -191,6 +189,7 @@ tools::SvRef<SotStorageStream> SdModule::GetOptionStream( const OUString& rOptio
         }
 
         OUString        aStmName;
+        DocumentType    eType = pDocSh->GetDoc()->GetDocumentType();
 
         if( DocumentType::Draw == eType )
             aStmName = "Draw_";
diff --git a/sd/source/ui/app/sdmod1.cxx b/sd/source/ui/app/sdmod1.cxx
index 1f0fcde..5225391 100644
--- a/sd/source/ui/app/sdmod1.cxx
+++ b/sd/source/ui/app/sdmod1.cxx
@@ -527,7 +527,7 @@ SfxFrame* SdModule::CreateEmptyDocument( const Reference< XFrame >& i_rFrame )
     return pFrame;
 }
 
-//===== OutlineToImpressFinalize ==============================================
+// OutlineToImpressFinalizer
 
 namespace {
 
diff --git a/sd/source/ui/app/sdxfer.cxx b/sd/source/ui/app/sdxfer.cxx
index f0a06b2..2862811 100644
--- a/sd/source/ui/app/sdxfer.cxx
+++ b/sd/source/ui/app/sdxfer.cxx
@@ -617,9 +617,9 @@ bool SdTransferable::WriteObject( tools::SvRef<SotStorageStream>& rxOStm, void*
                 xComponent->dispose();
                 bRet = ( rxOStm->GetError() == ERRCODE_NONE );
             }
-            catch( Exception& )
+            catch( ... )
             {
-                OSL_FAIL( "sd::SdTransferable::WriteObject(), exception catched!" );
+                SAL_WARN( "sd", "caught exception in SdTransferable::WriteObject()" );
                 bRet = false;
             }
         }
@@ -658,8 +658,7 @@ bool SdTransferable::WriteObject( tools::SvRef<SotStorageStream>& rxOStm, void*
                 bRet = true;
                 rxOStm->Commit();
             }
-            catch ( Exception& )
-            {}
+            catch ( ... ) { }
         }
 
         break;
diff --git a/sd/source/ui/unoidl/unomodel.cxx b/sd/source/ui/unoidl/unomodel.cxx
index 0da6543..0d73107 100644
--- a/sd/source/ui/unoidl/unomodel.cxx
+++ b/sd/source/ui/unoidl/unomodel.cxx
@@ -2319,7 +2319,7 @@ OUString SdXImpressDocument::getPartHash( int nPart )
     SdPage* pPage = mpDoc->GetSdPage( nPart, PageKind::Standard );
     if (!pPage)
     {
-        SAL_WARN("sd", "DrawViewShell not available!");
+        SAL_WARN("sd", "DrawViewShell is not available");
         return OUString();
     }
 
diff --git a/sd/source/ui/unoidl/unopage.cxx b/sd/source/ui/unoidl/unopage.cxx
index 52cbf5b..6ec481c 100644
--- a/sd/source/ui/unoidl/unopage.cxx
+++ b/sd/source/ui/unoidl/unopage.cxx
@@ -2287,7 +2287,7 @@ void SAL_CALL SdDrawPage::setName( const OUString& rName )
 
     throwIfDisposed();
 
-    DBG_ASSERT( GetPage() && !GetPage()->IsMasterPage(), "Don't call base implementation for masterpages!" );
+    DBG_ASSERT( GetPage() && !GetPage()->IsMasterPage(), "master page ?" );
 
     OUString aName( rName );
 
